# Class AWTError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.awt.AWTError

All Implemented Interfaces:
  `Serializable`

public class AWTError extends Error
Thrown when a serious Abstract Window Toolkit error has occurred.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AWTError(String msg)`
Constructs an instance of `AWTError` with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AWTError

public AWTError(String msg)
Constructs an instance of `AWTError` with the specified detail message.

Parameters:
  `msg` - the detail message.
Since:
  1.0